## ros-indigo-razor-imu-9dof 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(razor_imu_9dof)

find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure)

generate_dynamic_reconfigure_options(cfg/imu.cfg)

catkin_package(DEPENDS CATKIN DEPENDS dynamic_reconfigure)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY cfg
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY src
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY magnetometer_calibration
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS 
	nodes/imu_node.py
	nodes/display_3D_visualization.py
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/nodes
)

=== debian/changelog ===
ros-indigo-razor-imu-9dof (1.2.0-0trusty) trusty; urgency=high

  * Adding firmware support for SEN-14001 (9DoF Razor IMU M0) (lebarsfa)

 -- Kristof Robot <krirobo@gmail.com>  Tue, 19 Dec 2017 23:00:00 -0000

ros-indigo-razor-imu-9dof (1.1.1-0trusty) trusty; urgency=high

  * Passing razor_config_file as ros parameter in launch file (Daniel Koguciuk)

 -- Kristof Robot <krirobo@gmail.com>  Sat, 06 Feb 2016 23:00:00 -0000

ros-indigo-razor-imu-9dof (1.1.0-0trusty) trusty; urgency=high

  * Resolving bug in exiting display_3D_visualization (#15 <https://github.com/KristofRobot/razor_imu_9dof/issues/15>)
  * Adding dynamic reconfigure for yaw calibration (Paul Bouchier)
  * Moving calibration values from firmware to ROS yaml file (#13 <https://github.com/KristofRobot/razor_imu_9dof/issues/13>)Note: this is a BREAKING CHANGE - requires firmware update (updated firmware provided)
  * Refactoring code: moved scripts to nodes, renamed node.py to imu_node.py (Paul Bouchier)
  * Adding diagnostic status reporting (Paul Bouchier)

 -- Kristof Robot <krirobo@gmail.com>  Sun, 02 Aug 2015 22:00:00 -0000

ros-indigo-razor-imu-9dof (1.0.5-0trusty) trusty; urgency=high

  * Moving scripts from nodes to scripts dir
  * Installing files in ``src`` and ``magnetometer_calibration``
  * Major cleanup of package.xml and CMakeLists.txt

 -- Kristof Robot <krirobo@gmail.com>  Fri, 14 Nov 2014 23:00:00 -0000

ros-indigo-razor-imu-9dof (1.0.4-0trusty) trusty; urgency=high

  * Adding press 'a' to align feature
  * Moving magnetometer calibration sketches under dedicated ``magnetometer_calibration`` directory
  * Adding magnetometer calibration sketches for Processing and Matlab (Paul Bouchier)
  * Setting default USB port to /dev/ttyUSB0 in all files
  * Adding graceful exit in case USB port not found
  * Adding queue_size=1
  * Fixing x linear accelerations sign

 -- Kristof Robot <krirobo@gmail.com>  Fri, 14 Nov 2014 23:00:00 -0000

ros-indigo-razor-imu-9dof (1.0.3-0trusty) trusty; urgency=high

  * Moving all file one directory up
  * Changing axis orientation in 3D visualization to be in line with REP 103
  * Additional output of linear accelerationa and angular velocity in 3D visualization
  * Adding units of measurement to 3D visualization
  * Major graphical improvements to the 3D visualization
  * Adding explanation on different launch files

 -- Kristof Robot <krirobo@gmail.com>  Mon, 10 Feb 2014 23:00:00 -0000

ros-indigo-razor-imu-9dof (1.0.2-0trusty) trusty; urgency=high

  * Adding valid covariances (Paul Bouchier)
  * Fixing incorrect direction of yaw & pitch orientation (Paul Bouchier)
  * Fix Readme references & instructions (Paul Bouchier)
  * Converting acceleration to m/s^2 (Paul Bouchier)
  * Adapting to new output message YPRAG instead of YPRAMG (Paul Bouchier)
  * Updating package.xml links to ahrs site (Paul Bouchier)
  * Upgrading Arduino package to 1.4.2 from Peter Bartz' site (Paul Bouchier)
  * Fixing link to Peter Bartz' site (Paul Bouchier)
  * Documenting #ox output mode (Paul Bouchier)
  * Renaming new mode #define to better reflect what it does (Paul Bouchier)
  * Adding #ox output mode back into Peter's code (Paul Bouchier)

 -- Kristof Robot <krirobo@gmail.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-indigo-razor-imu-9dof (1.0.1-0trusty) trusty; urgency=high

  * Cleaning up code based on catkin_lint report
  * Creating additional launch files for display/publishing
  * Implementing flush of first IMU results
  * Changing default port, and adding output showing which port was selected
  * Removing obsolete ``roslib`` import and ``roslib.load_manifest``

 -- Kristof Robot <krirobo@gmail.com>  Fri, 14 Mar 2014 23:00:00 -0000

ros-indigo-razor-imu-9dof (1.0.0-0trusty) trusty; urgency=high

  * First catkinized version

 -- Kristof Robot <krirobo@gmail.com>  Sat, 28 Dec 2013 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-razor-imu-9dof
Section: misc
Priority: extra
Maintainer: Kristof Robot <krirobo@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure
Homepage: http://ros.org/wiki/razor_imu_9dof
Standards-Version: 3.9.2

Package: ros-indigo-razor-imu-9dof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-indigo-dynamic-reconfigure, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-tf
Description: razor_imu_9dof is a package that provides a ROS driver for the Sparkfun Razor IMU 9DOF.
 It also provides Arduino firmware that runs on the Razor board, and which must be installed on the Razor board for the system to work. A node which displays the attitude (roll, pitch and yaw) of the Razor board (or any IMU) is provided for testing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-razor-imu-9dof//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
